PETSc version 3.15.5
Fix/Edit manual page

# KSPFCDTruncationType

Define how stored directions are used to orthogonalize in flexible conjugate directions (FCD) methods

### Synopsis

    typedef enum {KSP_FCD_TRUNC_TYPE_STANDARD,KSP_FCD_TRUNC_TYPE_NOTAY} KSPFCDTruncationType;

KSP_FCD_TRUNC_TYPE_STANDARD uses all (up to mmax) stored directions KSP_FCD_TRUNC_TYPE_NOTAY uses the last max(1,mod(i,mmax)) stored directions at iteration i=0,1..

### See Also

: KSPFCG,KSPPIPEFCG,KSPPIPEGCR,KSPFCGSetTruncationType(),KSPFCGGetTruncationType()

### Level

intermediate

### Location

src/ksp/ksp/guess/../../../../include/petscksp.h
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages